Subject: Re: [PATCH 0/3] net: mac80211: Neaten debugging

From: Johannes Berg <[email-masked]>
Date: Wed, 16 May 2012 09:59:31 +0200

On Wed, 2012-05-16 at 01:23 -0400, David Miller wrote:
> From: Joe Perches <[email-masked]>
> Date: Tue, 15 May 2012 14:20:29 -0700
> 
> > Always use pr_debug variants instead of printk(KERN_DEBUG...)
> > 
> > Joe Perches (3):
> >   net: mac80211: Convert printk(KERN_DEBUG to pr_debug
> >   net: mac80211: Add and use ht_vdbg debugging macro
> >   net: mac80211: Add and use ibss_vdbg debugging macro
> 
> I really think this is the right thing to do and I hope the wireless
> folks integrate this.
> 
> I am well aware that you guys intend for some of these messages to be
> indications and notifications the user is intended to SEE, but in the
> cases where that is true KERN_DEBUG is absolutely not appropriate.
> 
> You should be using KERN_INFO or KERN_WARN in those situations
> instead.

Yeah, makes sense. I wonder if it makes sense to leave these under
#ifdef though? Why #ifdef something if it's going to be invisible most
of the time anyway?

johannes